package org.jocl.samples;

import java.util.concurrent.Callable;

public class MatMul implements Callable<Integer>{

	int N;
	int i;
	int j;
	float[] A;
	float[] B;
	float[] C;
	
	public MatMul(int N, float[] arrA, float[] ArrB, float[] ArrC, int i, int j) {
		this.N = N;
		this.i = i;
		this.j = j;
		this.A = arrA;
		this.B = ArrB;
		this.C = ArrC;
	}

	@Override
	public Integer call() throws Exception {
			int k;
			float tmp = 0.0f;
			// C(i, j) = sum(over k) A(i,k) * B(k,j)
			for (k = 0; k < N; k++) {
				tmp += A[i * N + k] * B[k * N + j];
			}
			//printf("i: %d,\tj: %d\n", i, j);
			C[i * N + j] = tmp;
			return 0;
		}
}

