__kernel void mat_mul(__const int N,
		__global float *A, __global float *B, __global float *C) {
	int i, j, k;
	i = get_global_id(0);
	j = get_global_id(1);
	float tmp = 0.0f;
	// C(i, j) = sum(over k) A(i,k) * B(k,j)
	for (k = 0; k < N; k++) {
		tmp += A[i * N + k] * B[k * N + j];
	}
	//printf("i: %d,\tj: %d\n", i, j);
	C[i * N + j] = tmp;
}
